> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teleskop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Post

> Deletes a single post by its `id` and `project_id`.



## OpenAPI

````yaml DELETE /posts/{id}
openapi: 3.1.0
info:
  title: Teleskop API
  version: 1.0.0
  contact:
    name: Teleskop Support
    url: https://teleskop.app/help
    email: support@teleskop.app
servers:
  - url: https://api.teleskop.dev
    description: Production
security:
  - x-api-key: []
tags: []
paths:
  /posts/{id}:
    delete:
      tags:
        - Posts
      summary: Delete Post
      description: Deletes a single post by its `id` and `project_id`.
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: project_id
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````